Bug 205318 - (perl-Class-MOP) Review Request: perl-Class-MOP - Class::MOP Perl module
Review Request: perl-Class-MOP - Class::MOP Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Class-MOP/
:
Depends On: perl-Sub-Name perl-SUPER perl-Class-C3
Blocks: FE-ACCEPT perl-Moose
  Show dependency treegraph
 
Reported: 2006-09-05 19:39 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 19:38:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-05 19:39:15 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-MOP-0.34-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-MOP.spec

Description:
This module is an attempt to create a meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics
of the Perl 5 object system, only to create a protocol for its manipulation
and introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.
Comment 1 Patrice Dumas 2006-09-07 18:13:05 EDT
Blocker: Test::Pod::Coverage and Test::Pod BR are missing.

Otherwise

* rpmlint is silent
* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
88ae60fc9fe161598739f3de59d6932e  Class-MOP-0.34.tar.gz
* sane provides
Provides: perl(Class::MOP) = 0.34 perl(Class::MOP::Attribute) = 0.12
perl(Class::MOP::Attribute::Accessor) = 0.01 perl(Class::MOP::Class) = 0.19
perl(Class::MOP::Class::Immutable) = 0.02 perl(Class::MOP::Instance) = 0.03
perl(Class::MOP::Method) = 0.03 perl(Class::MOP::Method::Wrapped) = 0.01
perl(Class::MOP::Module) = 0.02 perl(Class::MOP::Object) = 0.02
perl(Class::MOP::Package) = 0.04 perl(metaclass) = 0.03
* %files right

Comment 3 Patrice Dumas 2006-09-07 19:32:15 EDT
APPROVED
Comment 4 Chris Weyl 2006-09-07 19:38:49 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+Request branching (FC-5)
+Close bug

Thanks for the review! :)
Comment 5 Ville Skyttä 2006-09-08 01:52:58 EDT
BTW the Summary (Class::MOP Perl module) is pretty much useless.
Comment 6 Chris Weyl 2007-04-19 16:44:54 EDT
Please branch for EL-4, EL-5.

Note You need to log in before you can comment on or make changes to this bug.